searchNodes=[{"doc":"Tesla middlewares for OAuth2 and OpenID Connect client authentication Support MethodImplementationProtocol &quot;none&quot;TeslaOAuth2ClientAuth.NoneOAuth2 &quot;client_secret_basic&quot;TeslaOAuth2ClientAuth.ClientSecretBasicOAuth2 &quot;client_secret_post&quot;TeslaOAuth2ClientAuth.ClientSecretPostOAuth2 &quot;client_secret_jwt&quot;TeslaOAuth2ClientAuth.ClientSecretJWTOpenID Connect &quot;private_key_jwt&quot;TeslaOAuth2ClientAuth.PrivateKeyJWTOpenID Connect Note that Tesla does not support modifying TLS parameters in middlewares, which is why &quot;tls_client_auth&quot; and &quot;self_signed_tls_client_auth&quot; are unsupported. Options A TeslaOAuth2ClientAuth middleware receives a opts/0 as an option, which contains: the client id (:client_id), mandatory the client configuration (:client_config, see client_config/0) the OAuth2 or OpenID Connect server metadata (:server_metadata) any other option as documented by the implementations","ref":"TeslaOAuth2ClientAuth.html","title":"TeslaOAuth2ClientAuth","type":"module"},{"doc":"Returns the Elixir.TeslaOAuth2ClientAuth middleware for client authentication from client configuration (using the &quot;token_endpoint_auth_method&quot; configuration field) or an authentication method string","ref":"TeslaOAuth2ClientAuth.html#implementation/1","title":"TeslaOAuth2ClientAuth.implementation/1","type":"function"},{"doc":"Returns the Elixir.TeslaOAuth2ClientAuth middleware for client authentication from client configuration (using the &quot;token_endpoint_auth_method&quot; configuration field) or an authentication method string","ref":"TeslaOAuth2ClientAuth.html#implementation!/1","title":"TeslaOAuth2ClientAuth.implementation!/1","type":"function"},{"doc":"Client configuration is a map whose keys are those documented in OpenID Connect Dynamic Client Registration 1.0 incorporating errata set 1.","ref":"TeslaOAuth2ClientAuth.html#t:client_config/0","title":"TeslaOAuth2ClientAuth.client_config/0","type":"type"},{"doc":"","ref":"TeslaOAuth2ClientAuth.html#t:opts/0","title":"TeslaOAuth2ClientAuth.opts/0","type":"type"},{"doc":"OAuth2 or OpenID Connect server metadata as documented in one of: OpenID Connect Discovery 1.0 incorporating errata set 1 OAuth 2.0 Authorization Server Metadata","ref":"TeslaOAuth2ClientAuth.html#t:server_metadata/0","title":"TeslaOAuth2ClientAuth.server_metadata/0","type":"type"},{"doc":"Tesla middleware that implements the &quot;client_secret_basic&quot; authentication scheme for OAuth2 and OpenID Connect clients The client configuration must contain a &quot;client_secret&quot; member whose value is the client secret (a String.t()).","ref":"TeslaOAuth2ClientAuth.ClientSecretBasic.html","title":"TeslaOAuth2ClientAuth.ClientSecretBasic","type":"module"},{"doc":"Tesla middleware that implements the &quot;client_secret_jwt&quot; authentication scheme for https://openid.net/specs/openid-connect-core-1_0.html#ClientAuthentication The client configuration must contain a &quot;client_secret&quot; member whose value is the client secret (a String.t()) or a JWK in its &quot;jwks&quot; attribute that is suited for signature and has a &quot;kty&quot; of &quot;oct&quot;. To determine the MAC algorithm to use, this middleware: uses the client&#39;s &quot;token_endpoint_auth_signing_alg&quot; value if present, and check it against the server metadata &quot;token_endpoint_auth_signing_alg_values_supported&quot; otherwise uses the &quot;token_endpoint_auth_signing_alg_values_supported&quot; server metadata and picks one algorithm that is suitable for MACing otherwise raises Note that the body of the Tesla.Env must be a map to be later serialized with the Tesla.Middleware.FormUrlencoded. The options of this middleware are: :jwt_lifetime: the lifetime of the JWT in seconds. Defaults to 30 :jwt_jti_callback: a (TeslaOAuth2ClientAuth.opts() -&gt; String.t()) function that returns the &quot;jti&quot; field of the JWT. Defaults to a random 16-bytes base64 encoded string :jwt_additional_claims: claims added to the JWT. They have precedence over the default claims","ref":"TeslaOAuth2ClientAuth.ClientSecretJWT.html","title":"TeslaOAuth2ClientAuth.ClientSecretJWT","type":"module"},{"doc":"Tesla middleware that implements the &quot;client_secret_post&quot; authentication scheme for OAuth2 and OpenID Connect clients The client configuration must contain a &quot;client_secret&quot; member whose value is the client secret (a String.t()). Note that the body of the Tesla.Env must be a map to be later serialized with the Tesla.Middleware.FormUrlencoded. Use of this authentication scheme is not recommended.","ref":"TeslaOAuth2ClientAuth.ClientSecretPost.html","title":"TeslaOAuth2ClientAuth.ClientSecretPost","type":"module"},{"doc":"Tesla middleware that implements the &quot;none&quot; authentication scheme for OAuth2 and OpenID Connect clients Basically, does not do anything.","ref":"TeslaOAuth2ClientAuth.None.html","title":"TeslaOAuth2ClientAuth.None","type":"module"},{"doc":"Tesla middleware that implements the &quot;private_key_jwt&quot; authentication scheme for https://openid.net/specs/openid-connect-core-1_0.html#ClientAuthentication The client configuration must contain a &quot;jwks&quot; member whose value is a list of JWKs, including private keys. This middleware will sign the JWTs with the first encryption key found that conforms to the signature algorithm. To determine the signature algorithm to use, this middleware: uses the client&#39;s &quot;token_endpoint_auth_signing_alg&quot; value if present, and check it against the server metadata &quot;token_endpoint_auth_signing_alg_values_supported&quot; otherwise uses the &quot;token_endpoint_auth_signing_alg_values_supported&quot; server metadata and picks one algorithm that is suitable for signing otherwise raises The options of this middleware are: :jwt_lifetime: the lifetime of the JWT in seconds. Defaults to 30 :jwt_jti_callback: a (TeslaOAuth2ClientAuth.opts() -&gt; String.t()) function that returns the &quot;jti&quot; field of the JWT. Defaults to a random 16-bytes base64 encoded string :jwt_additional_claims: claims added to the JWT. They have precedence over the default claims","ref":"TeslaOAuth2ClientAuth.PrivateKeyJWT.html","title":"TeslaOAuth2ClientAuth.PrivateKeyJWT","type":"module"},{"doc":"","ref":"TeslaOAuth2ClientAuth.UnsupportedClientAuthenticationMethod.html","title":"TeslaOAuth2ClientAuth.UnsupportedClientAuthenticationMethod","type":"exception"},{"doc":"","ref":"TeslaOAuth2ClientAuth.UnsupportedClientAuthenticationMethod.html#t:t/0","title":"TeslaOAuth2ClientAuth.UnsupportedClientAuthenticationMethod.t/0","type":"type"},{"doc":"TeslaOAuth2ClientAuth Tesla middlewares for OAuth2 and OpenID Connect client authentication","ref":"readme.html","title":"TeslaOAuth2ClientAuth","type":"extras"},{"doc":"def deps do [ {:tesla_oauth2_client_auth, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"TeslaOAuth2ClientAuth - Installation","type":"extras"},{"doc":"MethodImplementationProtocol &quot;none&quot;TeslaOAuth2ClientAuth.NoneOAuth2 &quot;client_secret_basic&quot;TeslaOAuth2ClientAuth.ClientSecretBasicOAuth2 &quot;client_secret_post&quot;TeslaOAuth2ClientAuth.ClientSecretPostOAuth2 &quot;client_secret_jwt&quot;TeslaOAuth2ClientAuth.ClientSecretJWTOpenID Connect &quot;private_key_jwt&quot;TeslaOAuth2ClientAuth.PrivateKeyJWTOpenID Connect","ref":"readme.html#support","title":"TeslaOAuth2ClientAuth - Support","type":"extras"}]